POST Delete Shuttle Task
Introduction
Deletes a shuttle task by its task ID. This operation permanently removes the task from the system. Only tasks in NEW status can be deleted. For tasks that are in progress or completed, use the cancel operation instead.
API Request
POST /shuttle-task/{taskId}/delete
Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| taskId | path | string | Yes | none |
| X-Tenant-ID | header | string | No | none |
| X-Yard-ID | header | string | No | none |
| Item-Time-Zone | header | string | No | none |
| Authorization | header | string | No | none |
Response Example
200 Response
{
"code": 0,
"msg": "",
"success": false,
"data": null
}Response
| Status Code | Definition | Description | Data Model |
|---|---|---|---|
| 200 | OK (opens in a new tab) | none | RVoid |